Support Website Contact Support Blog

Mi pad

Hi guys,I want to test out the new beta app for Inspire 1 but it seem that Mipad is having issue,is there a list of compatible devices or am I doing something wrong,any helps would be appreciated.

Thanks!

Dear Rude

Our application is compatible with Android 4.0 and above and it is compatible with tablets. It should be compatible with most recent devices having GPS and WiFi. However, please note that some devices are not supported due to some permission issues imposed by Google Play Store that we cannot control. There are so many different devices running Android OS and many different versions that it is very difficult for us to support all different devices.

The Phantom 3 does not use the WiFi to connect to the remote control. You need to plug in a USB cable between your phone/tablet and the remote control. The communication is made through the radio link of the remote controller. In the app, make sure also to select the appropriate drone in the drop-down list in the Grid Mission in the top right corner of the screen. Note that in order to use and download the Android beta application, it is needed to join the beta tester group. The instructions on how to install it and how to use it are on this forum post: https://support.pix4d.com/hc/en-us/articles/hc/communities/public/questions/204542545

Best regards,